wpa_supplicant - Linux WPA Supplicant (IEEE 802.1X, WPA, WPA2, RSN, IEEE 802.11i)

Distribution: Mageia 5.1
Repository: Mageia Core Updates x86_64
Package name: wpa_supplicant
Package version: 2.6
Package release: 1.mga5
Package architecture: x86_64
Package type: rpm
Installed size: 2.69 MB
Download size: 695.95 KB
Official Mirror: distrib-coffee.ipsl.jussieu.fr
wpa_supplicant is a WPA Supplicant for Linux, BSD and Windows with support for WPA and WPA2 (IEEE 802.11i / RSN). Supplicant is the IEEE 802.1X/WPA component that is used in the client stations. It implements key negotiation with a WPA Authenticator and it controls the roaming and IEEE 802.11 authentication/association of the wlan driver. wpa_supplicant is designed to be a "daemon" program that runs in the background and acts as the backend component controlling the wireless connection. wpa_supplicant supports separate frontend programs and an example text-based frontend, wpa_cli, is included with wpa_supplicant. Supported WPA/IEEE 802.11i features: * WPA-PSK ("WPA-Personal") * WPA with EAP (e.g., with RADIUS authentication server) ("WPA-Enterprise") * key management for CCMP, TKIP, WEP104, WEP40 * WPA and full IEEE 802.11i/RSN/WPA2 * RSN: PMKSA caching, pre-authentication See the project web site or the eap_testing.txt file for a complete list of supported EAP methods (IEEE 802.1X Supplicant), supported drivers and interoperability testing.


  • config(wpa_supplicant) == 2.6-1.mga5
  • wpa_supplicant == 2.6-1.mga5
  • wpa_supplicant(x86-64) == 2.6-1.mga5

    Install Howto

    1. Enable Mageia Core Updates repository on "Install and Remove Software"
    2. Update packages list:
      # urpmi.update -a
    3. Install wpa_supplicant rpm package:
      # urpmi wpa_supplicant


    • /etc/wpa_supplicant.conf
    • /etc/dbus-1/system.d/wpa_supplicant.conf
    • /etc/logrotate.d/wpa_supplicant
    • /etc/sysconfig/wpa_supplicant
    • /usr/lib/systemd/system/wpa_supplicant.service
    • /usr/lib/tmpfiles.d/wpa_supplicant.conf
    • /usr/sbin/eapol_test
    • /usr/sbin/wpa_cli
    • /usr/sbin/wpa_passphrase
    • /usr/sbin/wpa_supplicant
    • /usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service
    • /usr/share/dbus-1/system-services/fi.w1.wpa_supplicant1.service
    • /usr/share/doc/wpa_supplicant/ChangeLog
    • /usr/share/doc/wpa_supplicant/README
    • /usr/share/doc/wpa_supplicant/eap_testing.txt
    • /usr/share/doc/wpa_supplicant/ieee8021x.conf
    • /usr/share/doc/wpa_supplicant/openCryptoki.conf
    • /usr/share/doc/wpa_supplicant/plaintext.conf
    • /usr/share/doc/wpa_supplicant/todo.txt
    • /usr/share/doc/wpa_supplicant/udhcpd-p2p.conf
    • /usr/share/doc/wpa_supplicant/wep.conf
    • /usr/share/doc/wpa_supplicant/wpa-psk-tkip.conf
    • /usr/share/doc/wpa_supplicant/wpa2-eap-ccmp.conf
    • /usr/share/man/man5/wpa_supplicant.conf.5.xz
    • /usr/share/man/man8/eapol_test.8.xz
    • /usr/share/man/man8/wpa_background.8.xz
    • /usr/share/man/man8/wpa_cli.8.xz
    • /usr/share/man/man8/wpa_passphrase.8.xz
    • /usr/share/man/man8/wpa_priv.8.xz
    • /usr/share/man/man8/wpa_supplicant.8.xz


    2017-10-18 - tmb <tmb> 2.6-1.mga5 + Revision: 1172453 - update to 2.6 - fix CVE-2017-130[77-82, 86-88] (mga#21879) + luigiwalser <luigiwalser> - add upstream patches to fix CVE-2016-4476 and CVE-2016-4477

    2014-10-25 - tmb <tmb> 2.3-3.mga5 + Revision: 793294 - dont install wpa_supplicant.service with executable permission